import { nothing } from '../../../../external/lit/index.js';
import { UmbLitElement } from '../../lit-element/index.js';
export type UmbRadioButtonItem = {
    label: string;
    value: string;
    invalid?: boolean;
};
declare const UmbInputRadioButtonListElement_base: import("../../../../libs/extension-api/index.js").HTMLElementConstructor<import("../../validation/index.js").UmbFormControlMixinElement<string | undefined>> & typeof UmbLitElement;
export declare class UmbInputRadioButtonListElement extends UmbInputRadioButtonListElement_base {
    #private;
    set value(value: string);
    get value(): string;
    list: Array<UmbRadioButtonItem>;
    /**
     * Sets the input to readonly mode, meaning value cannot be changed but still able to read and select its content.
     * @type {boolean}
     * @attr
     * @default false
     */
    readonly: boolean;
    /**
     * Sets the input to required, meaning validation will fail if the value is empty.
     * @type {boolean}
     */
    required?: boolean;
    requiredMessage?: string;
    constructor();
    render(): typeof nothing | import("lit-html").TemplateResult<1>;
    static readonly styles: import("lit").CSSResult[];
}
export default UmbInputRadioButtonListElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-input-radio-button-list': UmbInputRadioButtonListElement;
    }
}
